IPV6_MULTICAST_HOPS(2const)

NAME
IPV6_MULTICAST_HOPS - multicast hop limit

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IPV6, IPV6_MULTICAST_HOPS,
               const int *val, sizeof(int));
int getsockopt(int sockfd, IPPROTO_IPV6, IPV6_MULTICAST_HOPS,
               int *val, sizeof(int));

DESCRIPTION
Set the multicast hop limit for the socket.

A value of -1 means use the route default; otherwise it should be in the range [0, 255].

ERRORS
See IPPROTO_IPV6(2const). See setsockopt(2). See ipv6(7).

HISTORY

IPV6_MULTICAST_HOPS
    POSIX.1-2001.

SEE ALSO
IPPROTO_IPV6(2const), setsockopt(2), ipv6(7)